Loading...
Searching...
No Matches
Opm::Elasticity::PNShapeFunctionSet< dim > Class Template Reference

## Public Types

typedef LagrangeCardinalFunction< double, double > | CardinalFunction
typedef TensorProductFunction< double, double, CardinalFunction, dim > | ShapeFunction

## Public Member Functions

| PNShapeFunctionSet (int n1, int n2, int n3=0)
const ShapeFunction & | operator[] (int i) const
| Obtain a given shape function.
int | size ()

## Protected Member Functions

double | legendre (double x, int n)
double | legendreDerivative (double x, int n)
std::vector< double > | gaussLegendreGrid (int n)
std::vector< double > | gaussLobattoLegendreGrid (int n)

## Protected Attributes

std::vector< std::vector< CardinalFunction > > | cfuncs
std::vector< ShapeFunction > | f

## Member Function Documentation

## operator[]()

template<int dim>

const ShapeFunction & Opm::Elasticity::PNShapeFunctionSet< dim >::operator[] | ( | int | i | ) | const

inline

Obtain a given shape function.

Parameters

  [in] | i | The requested shape function

The documentation for this class was generated from the following file:

- opm/elasticity/shapefunctions.hpp